Last Comment Bug 733867 - Build failure with gcc-4.7.0rc1: "nsMsgFolderCompactor.cpp ... error: unable to find string literal operator ‘operator"" ..."
: Build failure with gcc-4.7.0rc1: "nsMsgFolderCompactor.cpp ... error: unable ...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: Thunderbird 13.0
Assigned To: ojab
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 12:06 PST by ojab
Modified: 2012-03-13 09:50 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Complete patch (18.51 KB, patch)
2012-03-10 22:18 PST, ojab
bugspam.Callek: review+
Details | Diff | Review

Description ojab 2012-03-07 12:06:54 PST
gcc (GCC) 4.7.0 20120302 (prerelease):

/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp: In member function ‘virtual nsresult nsFolderCompactState::OnStopRequest(nsIRequest*, nsISupports*, nsresult)’:
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp:630:23: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp: In member function ‘virtual nsresult nsFolderCompactState::OnDataAvailable(nsIRequest*, nsISupports*, nsIInputStream*, PRUint32, PRUint32)’:
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp:797:51: error: unable to find string literal operator ‘operator"" MSG_LINEBREAK’
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp:851:29: error: unable to find string literal operator ‘operator"" MSG_LINEBREAK’
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp:851:55: error: unable to find string literal operator ‘operator"" MSG_LINEBREAK’
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp: In member function ‘nsresult nsOfflineStoreCompactState::CopyNextMessage(bool&)’:
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp:905:23: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp:950:24: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp: In member function ‘virtual nsresult nsFolderCompactState::EndCopy(nsISupports*, nsresult)’:
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp:1112:21: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp: In member function ‘virtual nsresult nsOfflineStoreCompactState::OnDataAvailable(nsIRequest*, nsISupports*, nsIInputStream*, PRUint32, PRUint32)’:
/sources/comm-central/mailnews/base/src/nsMsgFolderCompactor.cpp:1219:31: error: unable to find string literal operator ‘operator"" CRLF’
make[8]: *** [nsMsgFolderCompactor.o] Error 1
Comment 1 Serge Gautherie (:sgautherie) 2012-03-09 06:11:37 PST
It looks like that compiler doesn't know (anymore) how to concatenate 2 literal strings.
I have no idea why.
Comment 2 Mark Banner (:standard8) 2012-03-09 07:39:49 PST
Maybe it needs a space between the "From " and CLRF, i.e. "From " CRLF.
Comment 3 ojab 2012-03-09 22:53:42 PST
Yep,
-          m_fileStream->Write("From "CRLF, 7, &bytesWritten);
+          m_fileStream->Write("From " CRLF, 7, &bytesWritten);
has fixed CRLF error.
Comment 4 ojab 2012-03-10 22:18:34 PST
Created attachment 604734 [details] [diff] [review]
Complete patch

Diff in the attached file allows me build Tb with gcc-4.7rc1
Comment 5 Justin Wood (:Callek) 2012-03-12 04:37:17 PDT
Comment on attachment 604734 [details] [diff] [review]
Complete patch

I'm not technically a reviewer here, but I am for build-config issues in general which this is.

I'll save Mark the trouble and r+ this. I didn't search the code for any non-patched places that could/should be fixed, but I did look at this whole patch and every touched line is fine.
Comment 6 Mark Banner (:standard8) 2012-03-13 05:29:55 PDT
Checked in: http://hg.mozilla.org/comm-central/rev/cfb784e58b9f

Note You need to log in before you can comment on or make changes to this bug.